package org.jeecg.modules.newWarning.service;

import org.jeecg.common.api.vo.Result;
import org.jeecg.modules.newWarning.dto.WarnLogComprehensiveDto;

import java.util.HashMap;
import java.util.List;

public interface WarnLogService {

    List<WarnLogComprehensiveDto> getWarnLogListByType(HashMap<String, Object> params);

    Result<?> getWarnLogPageByType(Integer pageNo, Integer pageSize, String type, String jh);

    void updateAjhWarnInfo();

    List<WarnLogComprehensiveDto> getMaxTimeWarnDataByJh(HashMap<String, Object> params);

    void updateWarnLogStatusById(String id,String type,String status);

    void saveWarnOperateLog(String id,String jh,String type);
}
